/**
AUTHOR: Petar Petrov
TAGS: brute force, minimum
*/
#include<bits/stdc++.h>
using namespace std;

int a[1000002];

long long incr[1000002]; // incr[i] - maximum increasing subsequence sum ending at a[i]
long long decr[1000002]; // decr[i] - maximum decreasing subsequence sum starting at a[i]

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    int n; cin >> n;
    for (int i = 1; i <= n; i++) cin >> a[i];

    for (int i = 1; i <= n; i++) {
        if (a[i] > a[i-1]) incr[i] = incr[i-1]+a[i];
        else incr[i] = a[i];
    }

    for (int i = n; i >= 1; i--) {
        if (a[i] > a[i+1]) decr[i] = decr[i+1]+a[i];
        else decr[i] = a[i];
    }

    long long ans = 0;
    for (int i = 1; i <= n; i++) {
        ans = max(ans, incr[i]+decr[i]-a[i]);
    }
    cout << ans << endl;

    return 0;
}
